<div class="card">
    <div class="card-header">
        <h4>{{pageTitle}}</h4>
    </div>
    <div class="card-body">
        <div class="row">
            <!-- <div class="col-md-2">
                Search: <i class="fa fa-search font-weight-lighter"></i>
            </div> -->
            <div class="col-md-4 offset-md-8">
                <input type="text" class="form-control text-right" placeholder="Search"
                        [(ngModel)]='filter'/>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <h4>Filtered by: </h4>
            </div> 
            <div class="offset-md-4 col-md-2">{{filter}}</div>
        </div>
        <div class="table-responsive">
            <table class="table" *ngIf="filteredProducts && filteredProducts.length">
                <thead class="text-info">
                    <tr>
                        <th > </th>
                        <th>Product </th>
                        <th>Description </th>
                        <th>Price </th>
                        <th>Rating </th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor='let product of filteredProducts'>
                        <td>
                            <!-- <img [style.height.px]='imageHeight' [src]='product.imageUrl' [title]='product.productName'
                                [style.margin.px]='imageMargin'/> -->
                        </td> 
                        <td> {{product.description}} </td>
                        <td> {{product.quantityAvailable}} </td>
                        <td> {{product.price[0] | currency}} </td>
                        <td> <rating-stars [rating]='product.starRating' 
                            (clickNotifier)='onNotify($event)' ></rating-stars> </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div>{{errorMessage}}</div>
        <button class="btn p-2 col-md-4 offset-md-8 {{btncolor}}" 
        (click)="Buy()" (mouseenter)="mouseEnter()" (mouseleave)="mouseLeave()">
            Buy Products
        </button>
    </div>
</div>
